| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::text::BaseOCR Class Referenceabstract
Scene Text Detection and Recognition » Scene Text Recognition

`#include "ocr.hpp"`

Inheritance diagram for cv::text::BaseOCR:

## Public Member Functions
virtual | ~BaseOCR ()
virtual void | run (Mat &image, std::string &output_text, std::vector< Rect > *component_rects=NULL, std::vector< std::string > *component_texts=NULL, std::vector< float > *component_confidences=NULL, int component_level=0)=0
virtual void | run (Mat &image, Mat &mask, std::string &output_text, std::vector< Rect > *component_rects=NULL, std::vector< std::string > *component_texts=NULL, std::vector< float > *component_confidences=NULL, int component_level=0)=0

## Constructor & Destructor Documentation

## § ~BaseOCR()

virtual cv::text::BaseOCR::~BaseOCR | ( |  | ) |
| inline virtual

## Member Function Documentation

## § run() [1/2]

virtual void cv::text::BaseOCR::run | ( | Mat & | image,
|  | std::string & | output_text,
|  | std::vector< Rect > * | component_rects = `NULL`,
|  | std::vector< std::string > * | component_texts = `NULL`,
|  | std::vector< float > * | component_confidences = `NULL`,
|  | int | component_level = `0`
| ) |  |
| pure virtual

Implemented in cv::text::OCRHolisticWordRecognizer, cv::text::OCRBeamSearchDecoder, cv::text::OCRHMMDecoder, and cv::text::OCRTesseract.

## § run() [2/2]

virtual void cv::text::BaseOCR::run | ( | Mat & | image,
|  | Mat & | mask,
|  | std::string & | output_text,
|  | std::vector< Rect > * | component_rects = `NULL`,
|  | std::vector< std::string > * | component_texts = `NULL`,
|  | std::vector< float > * | component_confidences = `NULL`,
|  | int | component_level = `0`
| ) |  |
| pure virtual

Implemented in cv::text::OCRHolisticWordRecognizer, cv::text::OCRBeamSearchDecoder, cv::text::OCRHMMDecoder, and cv::text::OCRTesseract.

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/text/include/opencv2/text/ocr.hpp